export default {
    data(){
        return {
            visible:false,
            showColumnArr:[
                // {label:'主键ID',flag:true,code:'id'},
                // {label:'学生id',flag:true,code:'sId'},
                {label:'地址',flag:false,code:'dz'},
                {label:'申请人',flag:true,code:'sqr'},
                {label:'公告日',flag:true,code:'ggr'},
                {label:'入库时间',flag:true,code:'rksj'},
                {label:'专利类型',flag:true,code:'zllx'},
                {label:'申请人类型',flag:true,code:'sqrlx'},
                {label:'高价值类型',flag:true,code:'gjzlx'},
            ],
            packUp:false
        }
    },
    methods:{
        toggle(){
            this.visible = true
        },
        show(name) {
            // 数组中find方法可以查找到符合条件的对象，并返回该对象。可以通过链式操作点对象里面的属性
            return this.showColumnArr.find(item=> item.code == name ).flag
        }
    }
}